dofile('data/Scenes/6_rock_skull_day_Anim_explosion.lua')

local PATH_MINIGAME_6_BALANCE             = 'data/Scenes/MiniGames/6_rock_skull_day_balance.lua'

local PATH_COMICS_6_ON_SHOWN              = 'data/Scenes/Comics/HelpersComicsReplic.lua'
local PATH_COMICS_6_SAFE                  = 'data/Scenes/Comics/HelpersComicsReplic.lua'
local PATH_COMICS_6_DART                  = 'data/Scenes/Comics/HelpersComicsReplic.lua'
local PATH_COMICS_6_WIN                   = 'data/Scenes/Comics/HelpersComicsReplic.lua'
local PATH_COMICS_6_COIN                  = 'data/Scenes/Comics/HelpersComicsReplic.lua'
local PATH_COMICS_6_PALM                  = 'data/Scenes/Comics/HelpersComicsReplic.lua'

function OnSceneLoad(screen)
    LoadData(screen)
    DefaultOnSceneLoad(screen:GetName())

    local pf = play_field
    local level = pf:GetLevelScreen()

    ---------------------------------------------------------------------------------------------
    level:AddTaskSafe( CreateEmptyTask('COMMUNICATOR', '', 'communicator') )
    level:AddTaskSafe( CreateTask('LANTERN', '', 'lantern') )
    AddRandomTasks(13,
                   CreateTask('BROOM', '', 'broom'),
                   CreateTask('CUP', '', 'cup'),
                   CreateTask('DRAGONFLY', '', 'dragonfly'),
                   CreateTask('DRUM', '', 'drum'),
                   CreateTask('FAN', '', 'fan'),
                   CreateTask('FISH', 'FISHES', 'fish', 'fish_2'),
                   CreateTask('GUN', '', 'gun'),
                   CreateTask('LADYBUG', '', 'ladybird'),
                   CreateTask('MAGNIFYING_GLASS', '', 'loupe'),
                   CreateTask('PIPE', 'PIPES', 'pipe', 'pipe_2'),
                   CreateTask('HOURGLASS', '', 'sand_glass'),
                   CreateTask('SAW_BLADE', '', 'saw'),
                   CreateTask('TEAPOT', '', 'teapot'),
                   
                   CreateTask('BOOT', '', 'boot'),
                   CreateTask('MILK_CAN', '', 'bucket'),
                   CreateTask('DEER', '', 'deers'),
                   CreateTask('HELMET', '', 'helmet'),
                   
                   CreateTask('APPLE', '', 'apple'),
                   CreateTask('GLASSES', '', 'glasses'),
                   CreateTask('GOBLET', '', 'goblet'),
                   CreateTask('RING', '', 'ring')
                   )
    pf:IgnoreOnTestPoint('drum_layer')
    ---------------------------------------------------------------------------------------------
    pf:IgnoreOnTestPoint('lantern')
    pf:GetObject('explosion_layer'):SetOpacity(0)
    ---------------------------------------------------------------------------------------------
    pf:GetObject('lizard'):GetAnimation():SetMode(HGEANIM_NOLOOP)
    pf:GetObject('lizard'):GetAnimation():Stop()
    ---------------------------------------------------------------------------------------------
	zone_cave = CreateZoomZone('close_zone_cave',
                               'pixel_open_cave',
                               'bg_cave',
                               'boot',
                               'bucket',
                               'deers',
                               'helmet',
                               'dynamite',
                               'lizard',
                               'lizard_layer',
                               'blinking_palm',
                               'pixel_active_lizard'
                              )
    if HasGameState(game_state.scene_path, 'lizard_run') then
        pf:GetObject('lizard'):SetMaxOpacity(0)
        pf:GetObject('blinking_palm'):SetVisible(false)
    end
    pf:IgnoreOnTestPoint('blinking_palm')
    pf:IgnoreOnTestPoint('lizard_layer')
    pf:GetObject('pixel_active_lizard'):SetMaxOpacity(0.01)
    ---------------------------------------------------------------------------------------------
    zone_safe = CreateZoomZone('close_zone_safe',
                               '',
                               'bg_safe',
                               'dart',
                               'apple',
                               'glasses',
                               'goblet',
                               'ring'
                             )
    ---------------------------------------------------------------------------------------------
    if HasGameState(game_state.scene_path, 'lizard_run') == false then
        ClearSaveActiveObject('lizard_layer')
    end
    local clickOnLizard = function(save)
        if save then
            pf:GetObject('lizard'):SetMaxOpacity(0)
        else
            local length_anim = GetAnimationLength(pf:GetObject('lizard'):GetAnimation())
            pf:GetObject('lizard'):GetAnimation():Play()
            zone_cave.Blocked(length_anim)
            TimerDo(pf:GetTimer(), length_anim, function()
                                                    AddGameState(game_state.scene_path, 'lizard_run')
                                                    DisableZoomZoneRequest(zone_cave)
                                                    game_state.chain_palm.Play()
                                                end)
                                                
            MakeSoundEntity('06_scare_lizard'):Play(false)
            
            level:OnObjectFoundFast( pf:GetObject('communicator') )    
        end
        
        pf:GetObject('blinking_palm'):SetVisible(false)
    end
    RegisterActiveObject('pixel_active_lizard', clickOnLizard, false, GetCursorArms())
    ---------------------------------------------------------------------------------------------
    local photo_action_dynamite = function()
                                  end
	
	local explosionComp = CreateExplosion()
	explosionComp:AttachTo(play_field)
	explosionComp:SetZ(150)	
							 
    local apply_action_dynamite = function(save)
                                if save then
                                    pf:GetObject('explosion_layer'):SetOpacity(1)
                                    explosionComp:Rewind(true)
                                    RegisterZoomZone(zone_safe, 'pixel_explosion_dynamite')
                                else
                                    pf:GetObject('explosion_layer'):ChangeOpacity(0, 1, 0.3)
                                    explosionComp:Play()
								    local length_anim_explosion = GetAnimationLength( play_field:GetObject('Explosion'):GetAnimation() )
								    pf:GetObject('Explosion'):GetAnimation():Play()
								    TimerDo(pf:GetTimer(), length_anim_explosion, function()
                                                                                        RegisterZoomZone(zone_safe, 'pixel_explosion_dynamite')
                                                                                  end )
                                    PlaySound('06_explosion_safe')
                                end
                             end
    local photo_dynamite = CreatePhotoZone('dynamite', 
                                           'DYNAMITE', 
                                           'dynamite_photo', 
                                            photo_action_dynamite, 'pixel_explosion_dynamite', apply_action_dynamite)
    level:GetTask('dynamite'):SetUse(true)
    ---------------------------------------------------------------------------------------------
    local photo_action_dart = function()
                              end
    local apply_action_dart = function(save)
                                local target = pf:GetObject('target')
                                if save then
                                    pf:DoNotIgnoreOnTestPoint('lantern')
                                    target:SetY(target:GetY() + 100)
                                else
                                    local time_fall_target = 0.4
                                    local af = CreateAnimationEffector()
                                    af:AttachTo(target)
                                    af:SetKey(_TRACK_Y, 0.0,                target:GetY() )
                                    af:SetKey(_TRACK_Y, time_fall_target,   target:GetY() + 100 )
                                    af:Play()
                                    
                                    TimerDo(pf:GetTimer(), time_fall_target, function()
                                                                                pf:DoNotIgnoreOnTestPoint('lantern')
                                                                             end )
                                    PlaySound('06_cast_dart')                                                                          
                                end
                              end                              
    local photo_dart = CreatePhotoZoneEx('dart', 'dart_tool',
                                       'DART', 
                                       'dart_photo', 
                                       photo_action_dart, 'target', apply_action_dart)
    level:GetTask('dart'):SetUse(true)
    ---------------------------------------------------------------------------------------------
	pf:GetObject('Explosion'):GetAnimation():Stop()
	pf:GetObject('Explosion'):GetAnimation():SetMode(HGEANIM_FWD + HGEANIM_NOLOOP)
	pf:IgnoreOnTestPoint('Explosion')
	---------------------------------------------------------------------------------------------
	local zone_coin = CreateInfoItemZone( pf:GetObject('coin'), 'COIN', GetString('INFO_ITEM_6_MONEY') )
	zone_coin.OnHidden = function()
	    game_state.chain_coin.Play()    
	end
    ---------------------------------------------------------------------------------------------
    game_state.chain_on_shown = RegisterComicsEx(function()
                                                    local comics = LoadComics(PATH_COMICS_6_ON_SHOWN, 'COMICS_6_ON_SHOWN_1')
                                                    if comics then
                                                        CreateOneSMS('COMICS_6_ON_SHOWN_1', 1)
                                                        CreateOneReplicHeroes('COMICS_6_ON_SHOWN_2', 2)
                                                    end
                                                 end )
    game_state.chain_safe = RegisterComicsEx(function()
                                                LoadComicsWithOneReplicHeroes(PATH_COMICS_6_SAFE, 'COMICS_6_SAFE')
                                             end )
    SetHintComicsPhotoZoneEx(photo_dynamite, game_state.chain_safe)
    game_state.chain_dart = RegisterComicsEx(function()
                                                LoadComicsWithOneReplicHeroes(PATH_COMICS_6_DART, 'COMICS_6_DART')
                                             end )
    SetHintComicsPhotoZoneEx(photo_dart, game_state.chain_dart)
    game_state.chain_on_win = RegisterComicsEx(function()
                                                    LoadComicsWithOneReplicHeroes(PATH_COMICS_6_WIN, 'COMICS_6_ON_WIN')
                                               end )
    game_state.chain_on_win.OnHidden = function()
        OnWinLevel()
    end 
	game_state.chain_coin = RegisterComicsEx(function()
												LoadComicsWithOneReplicHeroes(PATH_COMICS_6_COIN, 'COMICS_6_COIN')
										   end )
    game_state.chain_palm = RegisterComicsEx(function()
												LoadComicsWithOneReplicHeroes(PATH_COMICS_6_PALM, 'COMICS_6_PALM')
										   end )
    game_state.chain_palm.OnHidden = function()
        DisableZoomZoneRequest(zone_cave)
        NotesFound('Notes_5')
    end
    ---------------------------------------------------------------------------------------------
    RegisterMiniGame(PATH_MINIGAME_6_BALANCE, function()
                                                LoadMiniGames(PATH_MINIGAME_6_BALANCE)
                                            end )
    ---------------------------------------------------------------------------------------------                                            
end

function OnSceneFree()
    FreeData()
end

function OnHiddenComics(comics)
end

function OnScreenShown(fade_out)
    if fade_out then
        game_state.chain_on_shown.Play()
    end        
end

function OnMinigameCompleted(mini_game)
    if PATH_MINIGAME_6_BALANCE == mini_game then
        ShowInfoItemWindow( play_field:GetObject('coin') )
    end
end

function OnUpdate(dt)
    DefaultOnUpdate(dt)
end

function OnWin()
    if play_field:GetLevelScreen():IsCompleteLevel() then
        game_state.chain_on_win.Play()
    end
end

function OnLose()
end

function OnExit()
end

function OnObjectMouseEnter(object)
    DefaultOnObjectMouseEnter(object)
end

function OnObjectMouseLeave(object)
    DefaultOnObjectMouseLeave(object)
end

function OnObjectMouseDown(object)
    obj_name = object:GetName()
    local pf = play_field
    local is_wrong_click = true

    is_wrong_click = DefaultOnObjectMouseDown(object)
    
    return is_wrong_click
end

function OnObjectMouseUp(object)
end

function OnObjectFound(object)
    DefaultOnObjectFound(object)
    
    if obj_name == 'lantern' then
        PlayRegisterMiniGame(PATH_MINIGAME_6_BALANCE)
    end
end

function OnToolFound(tool)
end

function OnToolApply(tool, object)
    DefaultOnToolApply(tool, object)
end

function OnObjectReachPanel(object)
    DefaultOnObjectReachPanel(object)
end

function OnPhotographing()
	DefaultOnPhotographing()
end

function OnButtonPress(title)
    DefaultOnButtonPress(title)
end

function OnMouseMove(previous_pos, current_pos)
end

function OnSetTool(tool)
end


-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData(screen)
	local anim = CreateAnimation('data/Texture/Scenes/6_rock_skull_day_/Layers/bg.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bg',anim,512,384,70,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/6_rock_skull_day_/Items/cup.png',0,0,28,27,1,0)
	anim:SetHotSpot(14,13)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('cup',anim,458,376,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/6_rock_skull_day_/Items/dragonfly.png',0,0,70,65,1,0)
	anim:SetHotSpot(35,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('dragonfly',anim,301,173,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/6_rock_skull_day_/Items/drum.png',0,0,59,92,1,0)
	anim:SetHotSpot(29,46)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('drum',anim,531,513,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/6_rock_skull_day_/Items/fish.png',0,0,104,96,1,0)
	anim:SetHotSpot(52,48)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('fish',anim,257,256,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/6_rock_skull_day_/Items/gun.png',0,0,73,95,1,0)
	anim:SetHotSpot(36,47)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('gun',anim,694,533,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/6_rock_skull_day_/Items/ladybird.png',0,0,23,26,1,0)
	anim:SetHotSpot(11,13)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('ladybird',anim,917,609,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/6_rock_skull_day_/Items/loupe.png',0,0,46,77,1,0)
	anim:SetHotSpot(23,38)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('loupe',anim,579,655,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/6_rock_skull_day_/Items/mask.png',0,0,62,85,1,0)
	anim:SetHotSpot(31,42)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('mask',anim,380,328,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/6_rock_skull_day_/Items/pipe.png',0,0,87,93,1,0)
	anim:SetHotSpot(43,46)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pipe',anim,892,630,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/6_rock_skull_day_/Items/sand_glass.png',0,0,31,44,1,0)
	anim:SetHotSpot(15,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sand_glass',anim,519,387,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/6_rock_skull_day_/Items/teapot.png',0,0,44,42,1,0)
	anim:SetHotSpot(22,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('teapot',anim,595,376,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/6_rock_skull_day_/Layers/drum_layer.png',0,0,60,71,1,0)
	anim:SetHotSpot(30,35)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('drum_layer',anim,529,531,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/6_rock_skull_day_/Layers/mask_layer.png',0,0,63,30,1,0)
	anim:SetHotSpot(31,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('mask_layer',anim,377,290,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/6_rock_skull_day_/Layers/fish_layer.png',0,0,80,93,1,0)
	anim:SetHotSpot(40,46)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('fish_layer',anim,223,271,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/6_rock_skull_day_/Items/broom.png',0,0,244,257,1,0)
	anim:SetHotSpot(102,58)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('broom',anim,701,640,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/6_rock_skull_day_/Items/saw.png',0,0,43,42,1,0)
	anim:SetHotSpot(21,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('saw',anim,986,462,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/6_rock_skull_day_/Items/pipe_2.png',0,0,79,32,1,0)
	anim:SetHotSpot(39,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pipe_2',anim,355,455,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/6_rock_skull_day_/Items/fish_2.png',0,0,51,40,1,0)
	anim:SetHotSpot(25,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('fish_2',anim,576,167,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/6_rock_skull_day_/ZoomCave/bg_cave.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('bg_cave',anim,512,384,500,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/6_rock_skull_day_/ZoomCave/Items/boot.png',0,0,57,74,1,0)
	anim:SetHotSpot(28,37)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('boot',anim,228,552,510,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/6_rock_skull_day_/ZoomCave/Items/bucket.png',0,0,46,76,1,0)
	anim:SetHotSpot(23,38)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('bucket',anim,421,349,510,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/6_rock_skull_day_/ZoomCave/Items/deers.png',0,0,60,48,1,0)
	anim:SetHotSpot(30,24)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('deers',anim,299,480,510,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/6_rock_skull_day_/ZoomCave/Items/helmet.png',0,0,54,81,1,0)
	anim:SetHotSpot(27,40)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('helmet',anim,291,345,510,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/6_rock_skull_day_/ZoomCave/dynamite.png',0,0,41,39,1,0)
	anim:SetHotSpot(20,19)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('dynamite',anim,616,450,520,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_open_cave',anim,552,233,110,0,15,10)
	local anim = CreateAnimation('data/Texture/Scenes/6_rock_skull_day_/Photo/dynamite_photo.jpg',0,0,177,298,1,0)
	anim:SetHotSpot(88,149)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('dynamite_photo',anim,98,608,10,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/6_rock_skull_day_/Layers/explosion_layer.png',0,0,113,149,1,0)
	anim:SetHotSpot(56,74)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('explosion_layer',anim,440,684,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_explosion_dynamite',anim,431,688,150,0,10,14)
	local anim = CreateAnimation('data/Texture/Scenes/6_rock_skull_day_/ZoomSafe/bg_safe.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('bg_safe',anim,512,384,700,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/6_rock_skull_day_/Animations/Explosion.png',0,0,230,195,12,30)
	anim:SetHotSpot(115,97)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Explosion',anim,443,671,111,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/6_rock_skull_day_/ZoomSafe/dart.png',0,0,143,55,1,0)
	anim:SetHotSpot(71,27)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('dart',anim,509,275,710,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/6_rock_skull_day_/Photo/dart_photo.jpg',0,0,177,298,1,0)
	anim:SetHotSpot(88,149)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('dart_photo',anim,102,597,10,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/6_rock_skull_day_/ZoomSafe/items/apple.png',0,0,83,102,1,0)
	anim:SetHotSpot(41,51)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('apple',anim,336,504,710,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/6_rock_skull_day_/ZoomSafe/items/goblet.png',0,0,67,124,1,0)
	anim:SetHotSpot(33,62)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('goblet',anim,551,433,710,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/6_rock_skull_day_/ZoomSafe/items/glasses.png',0,0,137,73,1,0)
	anim:SetHotSpot(68,36)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('glasses',anim,371,266,710,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/6_rock_skull_day_/ZoomSafe/items/ring.png',0,0,24,25,1,0)
	anim:SetHotSpot(12,12)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('ring',anim,571,528,710,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/6_rock_skull_day_/Animations/bird_1.png',0,0,190,27,37,10)
	anim:SetHotSpot(95,14)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bird_1',anim,625,50,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/6_rock_skull_day_/Animations/bird_2.png',0,0,61,12,37,10)
	anim:SetHotSpot(31,6)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bird_2',anim,414,184,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/6_rock_skull_day_/Items/lantern.png',0,0,78,98,1,0)
	anim:SetHotSpot(39,49)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('lantern',anim,752,190,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/6_rock_skull_day_/Items/target.png',0,0,68,68,1,0)
	anim:SetHotSpot(34,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('target',anim,752,201,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/6_rock_skull_day_/Animations/jug.png',0,0,76,168,24,7)
	anim:SetHotSpot(38,84)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('jug',anim,987,685,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/6_rock_skull_day_/Animations/bush.png',0,0,55,45,20,14)
	anim:SetHotSpot(27,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bush',anim,1003,570,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/6_rock_skull_day_/Animations/wave.png',0,0,122,42,24,10)
	anim:SetHotSpot(61,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('wave',anim,480,366,98,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/6_rock_skull_day_/ZoomCave/animation/lizard.png',0,0,155,141,42,12)
	anim:SetHotSpot(155,141)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('lizard',anim,832,624,520,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/6_rock_skull_day_/ZoomCave/layer/lizard_layer.png',0,0,73,65,1,0)
	anim:SetHotSpot(36,32)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('lizard_layer',anim,797,591,580,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/6_rock_skull_day_/ZoomSafe/dart_tool.png',0,0,143,54,1,0)
	anim:SetHotSpot(71,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('dart_tool',anim,97,730,10,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/6_rock_skull_day_/Animations/blinking_palm.png',0,0,61,94,9,10)
	anim:SetHotSpot(30,47)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('blinking_palm',anim,786,566,530,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel_active_lizard',anim,772,576,580,0,15,12)
	local anim = CreateAnimation('data/Texture/Scenes/6_rock_skull_day_/Items/coin.png',0,0,140,142,1,0)
	anim:SetHotSpot(70,71)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('coin',anim,105,667,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/6_rock_skull_day_/Layers/broom_layer.png',0,0,121,200,1,0)
	anim:SetHotSpot(60,100)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('broom_layer',anim,779,695,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/6_rock_skull_day_/Items/fan.png',0,0,87,81,1,0)
	anim:SetHotSpot(43,40)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('fan',anim,492,591,110,0,1,1)
end

function FreeData(screen)
end
-- CLEAR_ON_SAVE_END
